Skip to Content
ELK Developers

GET /v1/orders

List account orders

Download .md
GET
/v1/orders

Returns up to 50 orders. No body, Content-Type or Idempotency-Key is needed. Requires ViewQuotes and market access. Results are scoped to your account.

Authorization

ApiKey
headerAuthorizationBearer <token>

Send Authorization: Bearer over HTTPS. Each key is associated with an account and environment. Invalid, expired or revoked keys return 401.

Query Parameters

after_id?string

next_after_id from the preceding page

Formatuuid
Length36 <= length <= 36

Response Body

Account-scoped API order history

application/json
  1. response
records*array<>
Itemsitems <= 50
next_after_id*|
Formatuuid
Example Request
curl -X GET 'https://api.elkcrypto.com/sandbox/v1/orders'
Example Response
{  "records": [    {      "order_id": "93101167-9065-4b9c-b98b-5d789a3ed9fe",      "status": "pending",      "updated_at": "2019-08-24T14:15:22Z",      "trade_id": "716cb486-5256-4659-973c-189b58daa723",      "quote": {        "quote_id": "3c071a1d-db86-46a7-9dc8-72ba3fbca992",        "symbol": "string",        "market": "string",        "side": "buy",        "price": "string",        "pay": {          "asset": "string",          "amount": "string"        },        "receive": {          "asset": "string",          "amount": "string"        },        "issued_at": "2019-08-24T14:15:22Z",        "expires_at": "2019-08-24T14:15:22Z"      },      "accepted_at": "2019-08-24T14:15:22Z"    }  ],  "next_after_id": "62e3c65c-6389-4ce6-9a56-6f4bdc5adb1a"}